function [vyvojSNR]= VyvojSNR(hodnotySNR,Fvz, N)
% VyvojSNR - funkcia vytvori z urciteho poctu hodnot SNR (podla premennej N) median,
% ten sa nasledne pouzije pre vytvorenie vyvoja SNR v case: 1 hodnotu medianu vytvorenu z N hodnot SNR nakopiruje N*fvz-krát
% Syntax: [vyvojSNR]= VyvojSNR(SNR,Fvz, N)
% Vstupy:
    % hodnotySNR - vektor predstavujuci vypocitane hodnoty SNR (z uzitocneho signalu a rusenia)
    % Fvz - vzorkovacia frekvencia
    % N - pocet hodnot SNR, z ktorych bude vytvoreny median (dlzka plavajuceho okna bez prekryvu)
% Vystupy:
    % vyvojSNR - priebeh hodnoty SNR v case podla zarusenia signalu, mediany hodnot SNR nakopirovane N*fvz-krát
% Autor: Martina Babicova
    medianSNR= [];
    dlzkaOkna = Fvz;                                    % dlzkaOkna = Fvz = vzorkovacia frevencia
    for i = 1:N:length(hodnotySNR) - N
        medianSNR = [medianSNR, median(hodnotySNR(i:i+N))];
    end
    medianSNR = [medianSNR, hodnotySNR(end)];
    vyvojSNR = [];
    for k = 1:length(medianSNR)
        prechodnaPremenna = [];                         % prechodnaPremenna - len pre ukladanie dat v kazdom cykle
        for j = 1:(dlzkaOkna*N)
            prechodnaPremenna = [prechodnaPremenna, medianSNR(k)];
        end
        vyvojSNR = [vyvojSNR, prechodnaPremenna ];
    end
end